ALTER TABLE empresas ADD a_consultas char(1);
ALTER TABLE empresas ADD a_exames char(1);
ALTER TABLE empresas ADD b_consultas char(1);
ALTER TABLE empresas ADD b_exames char(1);
ALTER TABLE empresas ADD data_cancelamento DATE;

ALTER TABLE marcacoes_trabalhador ADD motivo INT;
ALTER TABLE marcacoes_trabalhador ADD estado INT;
ALTER TABLE marcacoes_trabalhador ADD observacoes VARCHAR( 2048 );
UPDATE marcacoes_trabalhador SET estado = 2 WHERE realizada = 'y';


-- PROTOCOLOS

CREATE TABLE prt_grupos_protocolo
(
  id int4 NOT NULL,
  descricao varchar(255) NOT NULL,
  descricao_plain varchar(255) NOT NULL,
  CONSTRAINT grupos_protocolo_pkey PRIMARY KEY (id)
) 
WITHOUT OIDS;
ALTER TABLE prt_grupos_protocolo OWNER TO postgres;



CREATE TABLE prt_tipos_elementos_protocolo
(
  id int4 NOT NULL,
  descricao_plain varchar(255) NOT NULL,
  descricao varchar(255) NOT NULL,
  grupo_protocolo_id int4 NOT NULL,
  CONSTRAINT prt_tipos_elementos_protocolo_pkey PRIMARY KEY (id),
  CONSTRAINT prt_tipos_elementos_protocolo_grupo_protocolo_id_fkey FOREIGN KEY (grupo_protocolo_id) REFERENCES prt_grupos_protocolo (id) ON UPDATE RESTRICT ON DELETE RESTRICT
) 
WITHOUT OIDS;
ALTER TABLE prt_tipos_elementos_protocolo OWNER TO postgres;


CREATE TABLE prt_elementos_protocolo
(
  id serial NOT NULL,
  tipo_elemento_protocolo_id int4 NOT NULL,
  empresa_id int4 NOT NULL,
  numero_perfil int4 NOT NULL,
  CONSTRAINT prt_elementos_protocolo_pkey PRIMARY KEY (id),
  CONSTRAINT prt_elementos_protocolo_empresa_id_fkey FOREIGN KEY (empresa_id) REFERENCES empresas (id) ON UPDATE RESTRICT ON DELETE RESTRICT,
  CONSTRAINT prt_elementos_protocolo_tipo_elemento_protocolo_id_fkey FOREIGN KEY (tipo_elemento_protocolo_id) REFERENCES prt_tipos_elementos_protocolo (id) ON UPDATE RESTRICT ON DELETE RESTRICT
) 
WITH OIDS;
ALTER TABLE prt_elementos_protocolo OWNER TO postgres;


CREATE TABLE marcacoes_grupos_realizados
(
  id serial NOT NULL,
  marcacao_trabalhador_id int4 NOT NULL,
  grupo_protocolo_id int4 NOT NULL,
  CONSTRAINT marcacoes_grupos_realizados_pkey PRIMARY KEY (id),
  CONSTRAINT marcacoes_grupos_realizados_grupo_protocolo_id_fkey FOREIGN KEY (grupo_protocolo_id) REFERENCES prt_grupos_protocolo (id) ON UPDATE RESTRICT ON DELETE RESTRICT,
  CONSTRAINT marcacoes_grupos_realizados_marcacao_trabalhador_id_fkey FOREIGN KEY (marcacao_trabalhador_id) REFERENCES marcacoes_trabalhador (id) ON UPDATE RESTRICT ON DELETE RESTRICT
) 
WITH OIDS;
ALTER TABLE marcacoes_grupos_realizados OWNER TO postgres;

INSERT INTO prt_grupos_protocolo( id, descricao, descricao_plain )
	VALUES( 1, 'Sangue', 'sangue' );
INSERT INTO prt_grupos_protocolo( id, descricao, descricao_plain )
	VALUES( 2, 'Urina', 'urina' );
INSERT INTO prt_grupos_protocolo( id, descricao, descricao_plain )
	VALUES( 3, 'RX T\\u00f3rax', 'rx torax' );
INSERT INTO prt_grupos_protocolo( id, descricao, descricao_plain )
	VALUES( 4, 'Audiograma', 'audiograma' );
INSERT INTO prt_grupos_protocolo( id, descricao, descricao_plain )
	VALUES( 5, 'Rastreio Visual', 'rastreio visual' );
INSERT INTO prt_grupos_protocolo( id, descricao, descricao_plain )
	VALUES( 6, 'ECG', 'ecg' );
INSERT INTO prt_grupos_protocolo( id, descricao, descricao_plain )
	VALUES( 7, 'Espirometria', 'espirometria' );
INSERT INTO prt_grupos_protocolo( id, descricao, descricao_plain )
	VALUES( 8, 'Exsudado Nasofar\\u00edngeo', 'exsudado nasofaringeo' );
INSERT INTO prt_grupos_protocolo( id, descricao, descricao_plain )
	VALUES( 9, 'Exame Bacteriol\\u00f3gico (Fezes)', 'exame bacteriologico (fezes)' );
INSERT INTO prt_grupos_protocolo( id, descricao, descricao_plain )
	VALUES( 10, 'Coprocultura', 'coprocultura' );
INSERT INTO prt_grupos_protocolo( id, descricao, descricao_plain )
	VALUES( 11, 'Outros ECDs', 'outros ecds' );
INSERT INTO prt_grupos_protocolo( id, descricao, descricao_plain )
	VALUES( 12, 'Outras An\\u00e1lises', 'outras analises' );
	
INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 1, 'Hemograma', 'hemograma', 1 );
INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 2, 'Plaquetas', 'plaquetas', 1 );
INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 3, 'VS', 'vs', 1 );
INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 4, 'Glicemia', 'glicemia', 1 );
INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 5, 'Creatinina', 'creatinina', 1 );
INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 6, 'Colesterol Total', 'colesterol total', 1 );
INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 7, 'colesterol hdl', 'Colesterol hdl', 1 );
INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 8, 'Colesterol LDL', 'colesterol ldl', 1 );
INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 9, 'Trigliceridos', 'trigliceridos', 1 );
INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 10, 'Transaminases', 'transaminases', 1 );
INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 11, 'Gama GT', 'gama gt', 1 );
INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 12, 'Ureia', 'ureia', 1 );
INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 13, '\\u00c1cido \\u00darico', 'acido urico', 1 );
INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 14, 'MBE (Chumbo)', 'mbe (chumbo)', 1 );
INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 15, 'MBE (Outros)', 'mbe (outros)', 1 );
INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 16, 'Serologias Hepatite', 'serologias hepatite', 1 );

INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 17, 'Urina II', 'urina ii', 2 );

INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 18, 'RX T\\u00f3rax', 'rx torax', 3 );

INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 19, 'Audiometria', 'audiometria', 4 );

INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 20, 'Rastreio Visual', 'rastreio visual', 5 );
INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 21, 'ECG', 'ecg', 6 );
INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 22, 'Espirometria', 'espirometria', 7 );
INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 23, 'Exsudado Nasofar\\u00edngeo', 'exsudado nasofaringeo', 8 );
INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 24, 'Exame Bacteriol\\u00f3gico (Fezes)', 'exame bacteriologico (fezes)', 9 );
INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 25, 'Coprocultura', 'coprocultura', 10 );
INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 26, 'Outros ECDs', 'outros ecds', 11 );
INSERT INTO prt_tipos_elementos_protocolo( id, descricao, descricao_plain, grupo_protocolo_id )
	values( 27, 'Outras An\\u00e1lises', 'outras analises', 12 );


ALTER TABLE prt_grupos_protocolo ADD grupo_real char(1);
UPDATE prt_grupos_protocolo SET grupo_real='y' WHERE id <= 4;
UPDATE prt_grupos_protocolo SET grupo_real='n' WHERE id > 4;

ALTER TABLE prt_grupos_protocolo ADD ordem int4;
UPDATE prt_grupos_protocolo SET ordem=id;

ALTER TABLE prt_tipos_elementos_protocolo ADD ordem int4;
UPDATE prt_tipos_elementos_protocolo SET ordem=id;